groovy.util

## Interface ObjectGraphBuilder.NewInstanceResolver

- All Known Implementing Classes:
    ObjectGraphBuilder.DefaultNewInstanceResolver
  Enclosing class:
    ObjectGraphBuilder

      public static interface ObjectGraphBuilder.NewInstanceResolver

  Strategy for creating new instances of a class.
  Useful for plug-in calls to non-default constructors.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `newInstance(java.lang.Class klass, java.util.Map attributes)` Create a new instance of Class klass.

- - ### Method Detail

    - #### newInstance

          java.lang.Object newInstance(java.lang.Class klass,
                                     java.util.Map attributes)
                                       throws java.lang.InstantiationException,
                                              java.lang.IllegalAccessException

      Create a new instance of Class klass.
      Parameters:
        `klass` - the resolved class name
        `attributes` - the attribute Map available for the node
      Throws:
        `java.lang.InstantiationException`
        `java.lang.IllegalAccessException`